Subject: Antwort: spam patch compilation problem

From: [email-masked]
Date: Fri, 1 Jun 2001 11:58:59 +0100 February 2000) at 01/06/2001 12:59:26

[To be removed from this list send the message "unsubscribe fwtk-users" in the
BODY of a mail message to [email-masked].]

Hi,
I had the same Problem some time ago.
You need to compile with "resolv".
Write "AUXLIB= -lcrypt -lresolv" in your
Makefile.config.

Search for AUXLIB.

Mit freundlichem Gruss / Best Regards
-------------------------------------------------------------------------
- Dieter Windmüller -
Netzstation Informationstechnik GmbH
e-mail: [email-masked]

                    Don Pro                                                                                            
                    <[email-masked]>         An:     fwtk <[email-masked]>                                   
                    Gesendet von:            Kopie:                                                                    
                    owner-fwtk-users@        Thema:  spam patch compilation problem                                    
                    ex.tis.com                                                                                         

                    31.05.01 20:22                                                                                     

[To be removed from this list send the message "unsubscribe fwtk-users" in
the
BODY of a mail message to [email-masked].]

Hi,

I am attempting to compile Ted Keller's smap/smapd anti-spam, anti-relay
patch.  I am getting the following compilation error when I try to
compile:

smap.o: In function `main':
/usr/local/fwtk/smap/smap.c:654: undefined reference to `res_query'
/usr/local/fwtk/smap/smap.c:654: undefined reference to `res_query'
collect2: ld returned 1 exit status
make: *** [smap] Error 1

I am running RedHat 6.2 out of the box.  Is this error documented?

Thanks,
Don